# Copyright Abandoned 1996 TCX DataKonsult AB & Monty Program KB & Detron HB
# This file is public domain and comes with NO WARRANTY of any kind

pkginclude_HEADERS =	dbug.h m_string.h m_ctype.h my_sys.h \
			mysql.h mysql_com.h errmsg.h mysql_version.h \
			mysqld_error.h my_list.h my_config.h my_global.h \
		        my_pthread.h raid.h \
			my_config.h my_global.h my_net.h \
			sslopt-case.h sslopt-longopts.h sslopt-usage.h \
			sslopt-vars.h
noinst_HEADERS =	global.h \
			nisam.h heap.h merge.h \
			my_dir.h mysys_err.h my_base.h \
			my_nosys.h my_alarm.h queues.h \
			my_tree.h hash.h thr_alarm.h thr_lock.h \
			getopt.h t_ctype.h \
			mysql_version.h.in

EXTRA_DIST =		m_ctype.h.in

# mysql_com.h and mysql_version.h are generated
SUPERCLEANFILES =	mysql_com.h mysql_version.h

# Some include files that may be moved and patched by configure
DISTCLEANFILES =	$(distdir)/sched.h

all-local:	my_config.h my_global.h

# Since we include my_config.h it better exist from the beginning
my_config.h:  ../config.h
	$(CP) ../config.h my_config.h

# The should be changed in the source and removed.
my_global.h: global.h
	$(CP) global.h my_global.h

# and should not be included in distributions.
dist-hook:
	rm -f $(distdir)/mysql_com.h $(distdir)/mysql_version.h $(distdir)/my_config.h
